How can I help you? Start Chat

US Phone: 1-866-488-6691
International Phone: +44-2036087492

  • E-Mail
  • Facebook
  • LinkedIn
  • Twitter

Check Point Advisories

Microsoft Edge Scripting Engine Memory Corruption (CVE-2017-0236)

Check Point Reference: CPAI-2017-0334
Date Published: 9 May 2017
Severity: Critical
Last Updated: 9 May 2017
Source: Microsoft CVE-2017-0236
Industry Reference:CVE-2017-0236
Protection Provided by:

Security Gateway
R80, R77, R76, R75

Who is Vulnerable? Microsoft Edge on Windows 10 for 32-bit Systems
Microsoft Edge on Windows 10 for x64-based Systems
Microsoft Edge on Windows 10 Version 1511 for x64-based Systems
Microsoft Edge on Windows 10 Version 1511 for 32-bit Systems
Microsoft Edge on Windows 10 Version 1607 for 32-bit Systems
Microsoft Edge on Windows 10 Version 1607 for x64-based Systems
Microsoft Edge on Windows 10 Version 1703 for 32-bit Systems
Microsoft Edge on Windows 10 Version 1703 for x64-based Systems
Vulnerability Description A memory corruption vulnerability exists in Microsoft Edge. The Vulnerability is due to the JScript and VBScript engines improperly handling objects in memory in. Successful exploitation of this vulnerability could allow an unauthenticated user to run arbitrary code with the same rights as the current user.

Protection Overview

This protection detects attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update.For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R76 / R75

  1. In the IPS tab, click Protections and find the Microsoft Edge Scripting Engine Memory Corruption (CVE-2017-0236) protection using the Search tool and Edit the protection's settings.
  2. Install policy on all modules.

This protection's log will contain the following information:

Attack Name:  Web Client Enforcement Violation.
Attack Information:  Microsoft Edge Scripting Engine Memory Corruption (CVE-2017-0236)